# dipy_recobundles

## Synopsis

Recognize bundles

See [1] and [2] for further details about the method.

## Usage

    dipy_recobundles [OPTIONS] streamline_files model_bundle_files

## Input Parameters

- `streamline_files`

  The path of streamline files where you want to recognize bundles.

- `model_bundle_files`

  The path of model bundle files.

## General Options

- `--greater_than`

  Keep streamlines that have length greater than this value in mm. (default: 50)

- `--less_than`

  Keep streamlines have length less than this value in mm. (default: 1000000)

- `--no_slr`

  Don’t enable local Streamline-based Linear Registration. (default: False)

- `--clust_thr`

  MDF distance threshold for all streamlines. (default: 15.0)

- `--reduction_thr`

  Reduce search space by (mm). (default: 15.0)

- `--reduction_distance`

  Reduction distance type can be mdf or mam. (default: mdf)

- `--model_clust_thr`

  MDF distance threshold for the model bundles. (default: 2.5)

- `--pruning_thr`

  Pruning after matching. (default: 8.0)

- `--pruning_distance`

  Pruning distance type can be mdf or mam. (default: mdf)

- `--slr_metric`

  Options are None, symmetric, asymmetric or diagonal. (default: symmetric)

- `--slr_transform`

  Transformation allowed. translation, rigid, similarity or scaling. (default: similarity)

- `--slr_matrix`

  Options are ‘nano’, ‘tiny’, ‘small’, ‘medium’, ‘large’, ‘huge’. (default: small)

- `--refine`

  Enable refine recognized bundle. (default: False)

- `--r_reduction_thr`

  Refine reduce search space by (mm). (default: 12.0)

- `--r_pruning_thr`

  Refine pruning after matching. (default: 6.0)

- `--no_r_slr`

  Don’t enable Refine local Streamline-based Linear Registration. (default: False)

## Output Options

- `--out_dir`

  Output directory. (default: current directory)

- `--out_recognized_transf`

  Recognized bundle in the space of the model bundle. (default: recognized.trk)

- `--out_recognized_labels`

  Indices of recognized bundle in the original tractogram. (default: labels.npy)

## References

[1]

Eleftherios Garyfallidis, Marc-Alexandre Côté, François Rheault, Jasmeen Sidhu, Janice Hau, Laurent Petit, David Fortin, Stephen Cunanne, and Maxime Descoteaux. Recognition of white matter bundles using local and global streamline-based registration and clustering. NeuroImage, 170:283–295, April 2018. Segmenting the Brain. URL: https://doi.org/10.1016/j.neuroimage.2017.07.015, doi:10.1016/j.neuroimage.2017.07.015.

[2]

Bramsh Qamar Chandio, Shannon Leigh Risacher, Franco Pestilli, Daniel Bullock, Fang-Cheng Yeh, Serge Koudoro, Ariel Rokem, Jaroslaw Harezlak, and Eleftherios Garyfallidis. Bundle analytics, a computational framework for investigating the shapes and profiles of brain pathways across populations. Scientific Reports, 10:17149, October 2020. URL: https://doi.org/10.1038/s41598-020-74054-4, doi:10.1038/s41598-020-74054-4.

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.